Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 50096 - monodoc ebuild should check for gtkhtml-sharp support in gtk-sharp
Summary: monodoc ebuild should check for gtkhtml-sharp support in gtk-sharp
Status: VERIFIED LATER
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-05 06:25 UTC by Henk Poley
Modified: 2005-04-01 18:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henk Poley 2004-05-05 06:25:07 UTC
When emerging monodoc I got an version error about some mono support libraries (gtk-sharp, gtkhtml-sharp, etc.) which is had obviously installed (through dependencies). Though I couldn't find a gtkhtml-sharp ebuild.

After some googling and trying some emerge 'pretends' I found out that I needed +gtkhtml in my USE flags. So... could the monodoc ebuild check if gtk-sharp has actually been compiled with gtkhtml-sharp support built-in, and warn the user if it is not?

Reproducible: Always
Steps to Reproduce:
1. Have gtk-sharp emerged without gtkhtml in your USE flags
2. `emerge monodoc`

Actual Results:  
Exact error is already scrolled from VT. 

Expected Results:  
Checked for gtkhtml-sharp support (in gtk-sharp package) 

Portage 2.0.50-r6 (default-x86-2004.0, gcc-3.3.3, glibc-2.3.3_pre20040207-r0, 
2.6.5) 
================================================================= 
System uname: 2.6.5 i686 AMD Athlon(tm) XP 2000+ 
Gentoo Base System version 1.4.10 
distcc 2.13 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) 
[disabled] 
ccache version 2.3 [enabled] 
Autoconf: sys-devel/autoconf-2.59-r3 
Automake: sys-devel/automake-1.8.3 
ACCEPT_KEYWORDS="x86" 
AUTOCLEAN="yes" 
CFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer" 
CHOST="i686-pc-linux-gnu" 
COMPILER="gcc3" 
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control" 
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d" 
CXXFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer" 
DISTDIR="/usr/portage/distfiles" 
FEATURES="autoaddcvs ccache sandbox userpriv usersandbox" 
GENTOO_MIRRORS="http://ftp.easynet.nl/mirror/gentoo/ 
http://gentoo.mirror.sdv.fr http://ds.thn.htu.se/linux/gentoo 
http://gentoo.tiscali.nl/gentoo/" 
MAKEOPTS="-j2" 
PKGDIR="/usr/portage/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR="/usr/portage" 
PORTDIR_OVERLAY="" 
SYNC="rsync://rsync.gentoo.org/gentoo-portage" 
USE="3dnow X aalib acpi alsa arts avi berkdb cdr crypt cups directfb doc dvd 
encode esd faad flac foomaticdb gdbm gif gnome gphoto2 gpm gstreamer gtk gtk2 
imlib java javascript jpeg kde ldap libg++ libwww linguas_nl mad matroska 
mikmod mmx motif mozilla mpeg mysql ncurses nls nvidia oggvorbis opengl oss 
pam pdflib perl png postgres ppds python qt quicktime readline samba scanner 
sdl slang speex spell sse ssl svga tcltk tcpd theora tiff truetype usb wmf x86 
xml2 xmms xv zlib"
Comment 1 Matt Hargett 2004-06-20 18:13:24 UTC
I have this same problem with 2004.1, portage 2.0.50-r8. When I try to emerge monodevelop, it craps out at monodoc because it can't resolve the gtkhtml-sharp module. (As the previous user reported.)

emerge monodevelop should yield a fully working monodevelop install where I can compile and run C# programs inside of monodevelop.
Comment 2 Priit Laes (IRC: plaes) 2004-07-02 23:00:43 UTC
I get this error too... but this is because I use Evolution 1.5 development versions which install gtkhtml-3.1 instead of gkthtml-3.0.
So when I try to start monodevelop it craps out:

Unhandled Exception: System.DllNotFoundException: gtkhtml-3.0
in <0x00053> (wrapper managed-to-native) Gtk.HTML:gtk_html_new ()
in <0x0007d> Gtk.HTML:.ctor ()
in [0x001aa] (at /home/root/tmp/portage/monodoc-1.0/work/monodoc-1.0/browser/browser.cs:213) Monodoc.Browser:.ctor ()
in [0x00125] (at /home/root/tmp/portage/monodoc-1.0/work/monodoc-1.0/browser/browser.cs:84) Monodoc.Driver:Main (string[])

The things that bother me are actually these PORTAGE_TMPDIR strings in code...
Comment 3 Peter Johanson (RETIRED) gentoo-dev 2004-07-04 10:06:12 UTC
Okay, i've just added a check for gtkhtml-sharp in the src_unpack function. This is the best I can do until portage has support for USE variable based dependencies. Marking LATER for when portage has that support.
Comment 4 Peter Johanson (RETIRED) gentoo-dev 2005-04-01 18:19:15 UTC
Marking CLOSED, instead of LATER, as this is now resolved by the broken up gtk-sharp components stuff.